<?php declare(strict_types=1);

namespace App\Http\Requests\Private\Roles;

use App\Contracts\FormRequestDto;
use App\Dto\Builder\Role;
use App\Dto\Request\Private\Role\Index;
use Illuminate\Foundation\Http\FormRequest;

final class IndexRequest extends FormRequest implements FormRequestDto
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        $this->redirect = route('roles.index');
        return [
            'page' => ['nullable', 'numeric', 'min:1']
        ];
    }

    public function getDto(): Index
    {
        return new Index(
            roleBuilderDto: new Role(),
            page: (int) $this->input('page', 1)
        );
    }
}
